Package org.eclipse.emf.compare.util

# Class CompareAdapterFactory

java.lang.Object
org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
org.eclipse.emf.compare.util.CompareAdapterFactory

All Implemented Interfaces:
  `AdapterFactory`

Direct Known Subclasses:
  `CompareItemProviderAdapterFactory`, `TooltipLabelAdapterFactory`

public class CompareAdapterFactory extends AdapterFactoryImpl
The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.

See Also:
  - `ComparePackage`
Generated:

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`copyright`
`protected static ComparePackage`
`modelPackage`
The cached model package.
`protected CompareSwitch<Adapter>`
`modelSwitch`
The switch that delegates to the `createXXX` methods.

## Constructor Summary

Constructors
Constructor
Description
`CompareAdapterFactory()`
Creates an instance of the adapter factory.

## Method Summary

Modifier and Type
Method
Description
`Adapter`
`createAdapter(Notifier target)`
Creates an adapter for the `target`.
`Adapter`
`createAttributeChangeAdapter()`
Creates a new adapter for an object of class '`Attribute Change`'.
`Adapter`
`createComparisonAdapter()`
Creates a new adapter for an object of class '`Comparison`'.
`Adapter`
`createConflictAdapter()`
Creates a new adapter for an object of class '`Conflict`'.
`Adapter`
`createDiffAdapter()`
Creates a new adapter for an object of class '`Diff`'.
`Adapter`
`createEObjectAdapter()`
Creates a new adapter for the default case.
`Adapter`
`createEquivalenceAdapter()`
Creates a new adapter for an object of class '`Equivalence`'.
`Adapter`
`createFeatureMapChangeAdapter()`
Creates a new adapter for an object of class '`Feature Map Change`'.
`Adapter`
`createMatchAdapter()`
Creates a new adapter for an object of class '`Match`'.
`Adapter`
`createMatchResourceAdapter()`
Creates a new adapter for an object of class '`Match Resource`'.
`Adapter`
`createReferenceChangeAdapter()`
Creates a new adapter for an object of class '`Reference Change`'.
`Adapter`
`createResourceAttachmentChangeAdapter()`
Creates a new adapter for an object of class '`Resource Attachment Change`'.
`Adapter`
`createResourceLocationChangeAdapter()`
Creates a new adapter for an object of class '`Resource Location Change`'.
`boolean`
`isFactoryForType(Object object)`
Returns whether this factory is applicable for the type of the object.

### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

`adapt, adapt, adaptAllNew, adaptNew, associate, createAdapter, resolve`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### copyright

public static final String copyright

See Also:
  - Constant Field Values
Generated:

### modelPackage

protected static ComparePackage modelPackage
The cached model package.

Generated:

### modelSwitch

protected CompareSwitch<Adapter> modelSwitch
The switch that delegates to the `createXXX` methods.

Generated:

## Constructor Details

### CompareAdapterFactory

public CompareAdapterFactory()
Creates an instance of the adapter factory.

Generated:

## Method Details

### isFactoryForType

public boolean isFactoryForType(Object object)
Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.

Specified by:
  `isFactoryForType` in interface `AdapterFactory`
Overrides:
  `isFactoryForType` in class `AdapterFactoryImpl`
Returns:
  whether this factory is applicable for the type of the object.
Generated:

### createAdapter

public Adapter createAdapter(Notifier target)
Creates an adapter for the `target`.

Overrides:
  `createAdapter` in class `AdapterFactoryImpl`
Parameters:
  `target` - the object to adapt.
Returns:
  the adapter for the `target`.
Generated:

### createComparisonAdapter

public Adapter createComparisonAdapter()
Creates a new adapter for an object of class '`Comparison`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `Comparison`
Generated:

### createMatchResourceAdapter

public Adapter createMatchResourceAdapter()
Creates a new adapter for an object of class '`Match Resource`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `MatchResource`
Generated:

### createMatchAdapter

public Adapter createMatchAdapter()
Creates a new adapter for an object of class '`Match`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `Match`
Generated:

### createDiffAdapter

public Adapter createDiffAdapter()
Creates a new adapter for an object of class '`Diff`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `Diff`
Generated:

### createResourceAttachmentChangeAdapter

public Adapter createResourceAttachmentChangeAdapter()
Creates a new adapter for an object of class '`Resource Attachment Change`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `ResourceAttachmentChange`
Generated:

### createResourceLocationChangeAdapter

public Adapter createResourceLocationChangeAdapter()
Creates a new adapter for an object of class '`Resource Location Change`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
Since:
  3.2
See Also:
  - `ResourceLocationChange`
Generated:

### createReferenceChangeAdapter

public Adapter createReferenceChangeAdapter()
Creates a new adapter for an object of class '`Reference Change`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `ReferenceChange`
Generated:

### createAttributeChangeAdapter

public Adapter createAttributeChangeAdapter()
Creates a new adapter for an object of class '`Attribute Change`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `AttributeChange`
Generated:

### createFeatureMapChangeAdapter

public Adapter createFeatureMapChangeAdapter()
Creates a new adapter for an object of class '`Feature Map Change`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
Since:
  3.2
See Also:
  - `FeatureMapChange`
Generated:

### createConflictAdapter

public Adapter createConflictAdapter()
Creates a new adapter for an object of class '`Conflict`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `Conflict`
Generated:

### createEquivalenceAdapter

public Adapter createEquivalenceAdapter()
Creates a new adapter for an object of class '`Equivalence`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `Equivalence`
Generated:

### createEObjectAdapter

public Adapter createEObjectAdapter()
Creates a new adapter for the default case. This default implementation returns null.

Returns:
  the new adapter.
Generated: